Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus
Class PlexusXFireServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.codehaus.xfire.transport.http.XFireServlet
                  org.codehaus.xfire.plexus.PlexusXFireServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class PlexusXFireServlet

extends XFireServlet

An XFire servlet which obtains its XFire instance from Plexus. This is only if you already using Plexus in your application. For a message Plexus managed version of XFire see StandaloneXFireServlet.

Since:
  Feb 13, 2004
Author:
  Dan Diephouse
See Also:
  Serialized Form

Constructor Summary
`PlexusXFireServlet()`

Method Summary
`XFire` | `createXFire()`

Methods inherited from class org.codehaus.xfire.transport.http.XFireServlet
`createController, doGet, doPost, getController, getXFire, init`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlexusXFireServlet

    public PlexusXFireServlet()

Method Detail

### createXFire

    public XFire createXFire()
                      throws javax.servlet.ServletException

  Overrides:
    `createXFire` in class `XFireServlet`
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.